<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];
$notificaciones = $_SESSION['notificaciones'] = 1;

if ($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
<?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano . "-" . $sis_mes . "-" . $sis_dia;

//Identifico el grupo
$sqlGrupo = "SELECT id_cli, nom_cli, activo_cli, plan_cli FROM cliente WHERE activo_cli=0 order by nom_cli";
$conGrupo = $bdFact->consulta($sqlGrupo);
$nroList = 0;
while ($resGrupo = $bdFact->fetch_assoc($conGrupo)):
    $nom_cli = utf8_encode($resGrupo['nom_cli']);
    $id_cli = $resGrupo['id_cli'];
    $activo_cli = $resGrupo['activo_cli'];
    $plan_cli = $resGrupo['plan_cli'];


    //Identifico el plan del grupo
    $id_plan = 0;
    $tipo_plan = 0;
    $sqlPlanes = "SELECT id_plan, tipo_plan FROM planes WHERE id_plan=$plan_cli";
    $conPlanes = $bdFact->consulta($sqlPlanes);
    if ($resPlanes = $bdFact->fetch_assoc($conPlanes)):
        $id_plan = $resPlanes['id_plan'];
        $tipo_plan = $resPlanes['tipo_plan'];
    endif;

    $vr_tipo_plan = explode(" a ", $tipo_plan);
    $vr_tipo_plan_inicial = $vr_tipo_plan[0]; // porción1
    $vr_tipo_plan_final = $vr_tipo_plan[1];

    //Sumatora de total usuarios
    $totalUSU = 0;
    //Identifico las CTA del grupo
    $sqlCTA = "SELECT * FROM cta WHERE id_fk_cliente_fact=$id_cli and activo=1";
    $conCTA = $bdDepen->consulta($sqlCTA);

    $nroList++;
    $contadCTA = 0;
    while ($resCTA = $bdDepen->fetch_assoc($conCTA)):
        $contadCTA++;
        $indicador = 1;

        $nombre = utf8_encode($resCTA['nombre']);
        $nombre_plano = utf8_encode($resCTA['nombre_plano']);
        $nit_plano = $resCTA['nit_plano'];
        $id_fk_cliente_fact = $resCTA['id_fk_cliente_fact'];
        $id_cta = $resCTA['id_cta'];
        $comentario = utf8_encode($resCTA['comentario']);
        $modo = $resCTA['modo'];
        $activo = $resCTA['activo'];
        $fecha_creacion = $resCTA['fecha_creacion'];

        //Total usuario
        $sqlUSU = "select * from usuario where retiro_total = 0 and id_cta_fk_us = '$id_cta'";
        $conUSU = $bdDepen->consulta($sqlUSU);
        $resUSU = $bdDepen->num_rows($conUSU);

        if ($activo == 1):
            $totalUSU = $totalUSU + $resUSU;
        endif;

    endwhile;

    if ($totalUSU > $vr_tipo_plan_final):
        $encontro=1;
    else:

    endif;


endwhile;

if ($encontro == 1) {
    ?>
    <script type="text/javascript">
        alert("Comprobando planes activos");
        dato_sin_carga('dep_total_listado_grupos.php', 'divDer1', 'cargando', 'notificacion', '1');
        dato_sin_carga('dep_total_listado_grupos2.php', 'divDer2', 'cargando', 'notificacion', '1');
    </script>
<?
}